import UserTransactionsModel from "@/models/userTransactionsModel.js";

export default class MyUserModel
{
    id = "";
    firstName = "";
    lastName = "";
    userName = "";
    totalBalance = "";
    userTransactions = new UserTransactionsModel()

    static createFromApiResult(apiResult){
        return Object.assign(new MyUserModel(), apiResult);
    }
}